[Pkg-dkms-commits] r29 - scripts

hanska-guest at alioth.debian.org hanska-guest at alioth.debian.org
Thu Dec 4 16:12:17 UTC 2008


Author: hanska-guest
Date: 2008-12-04 16:12:16 +0000 (Thu, 04 Dec 2008)
New Revision: 29

Added:
   scripts/update-website
Log:
Adding update-website script


Added: scripts/update-website
===================================================================
--- scripts/update-website	                        (rev 0)
+++ scripts/update-website	2008-12-04 16:12:16 UTC (rev 29)
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+umask 002
+
+REPOS="$1"
+REV="$2"
+URL_REPOS="svn://svn.debian.org/svn/pkg-dkms/website/"
+BASE=/home/groups/pkg-dkms
+
+echo "Updating website... rev. $REV"
+svn --force export $URL_REPOS $BASE/htdocs/
+[ "x$?" == "x0" ] && rm -rf $BASE/htdocs-backup/*
+
+# let's substitute our variables...
+AUTH=$(svnlook author $REPOS -r $REV | sed 's/\&/\&amp;/g;s/</\&lt;/g;s/>/\&gt;/g')
+
+sed -e "s/@REV@/$REV/" \
+    -e "s/@DATE@/`date -uR`/" \
+    -e "s/@AUTHOR@/$AUTH/g" -i $BASE/htdocs/inc/footer.inc.php
+
+# Auto-compile .po files
+#LOCALES="$BASE/htdocs/locale"
+#
+#for lang in $(find $LOCALES -mindepth 1 -maxdepth 1 -type d)
+#do
+#        msgfmt $lang/LC_MESSAGES/messages.po && mv messages.mo $lang/LC_MESSAGES/
+#done
+
+# ensure the Group has write permissions...
+chmod g+w $BASE/htdocs/




More information about the Pkg-dkms-commits mailing list